Loading...
Searching...
No Matches
deque.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "debug_count.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "placement_new.h"`
`#include "type_traits.h"`
`#include "utility.h"`
`#include <stddef.h>`
`#include "private/minmax_push.h"`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::deque_exception
class | etl::deque_full
class | etl::deque_empty
class | etl::deque_out_of_bounds
class | etl::deque_incompatible_type
class | etl::deque_base
class | etl::ideque< T >
class | etl::ideque< T >::iterator
| Iterator. More...
class | etl::ideque< T >::const_iterator
| Const Iterator. More...
class | etl::deque< T, MAX_SIZE_ >

## Namespaces

namespace | etl

## Functions

template<typename T>
bool | etl::operator== (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)
| Template deduction guides.
template<typename T>
bool | etl::operator!= (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)
template<typename T>
bool | etl::operator< (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)
template<typename T>
bool | etl::operator<= (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)
template<typename T>
bool | etl::operator> (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)
template<typename T>
bool | etl::operator>= (const etl::ideque< T > &lhs, const etl::ideque< T > &rhs)

## Variables

template<typename T, const size_t MAX_SIZE_>
ETL_CONSTANT size_t | etl::deque< T, MAX_SIZE_ >::MAX_SIZE